package cn.com.qmth.print.manage.controller;

import javax.annotation.Resource;

import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import cn.com.qmth.print.manage.service.BreakRecordService;
import cn.com.qmth.print.manage.service.PmSession;
import cn.com.qmth.print.manage.service.query.RecordQuery;

import com.qmth.boot.api.annotation.Aac;
import com.qmth.boot.api.annotation.BOOL;
import com.qmth.boot.api.constant.ApiConstant;

@RestController
@RequestMapping(ApiConstant.DEFAULT_URI_PREFIX + "/break")
@Aac(strict = BOOL.FALSE, auth = BOOL.TRUE)
public class BreakRecordController extends BaseController {

    @Resource
    private BreakRecordService breakRecordService;

    @RequestMapping("/page")
    public Object page(@Validated RecordQuery query) {
        return breakRecordService.pageQuery(query);
    }

    @RequestMapping("/start")
    public Object start(@RequestAttribute PmSession accessEntity, @RequestParam Long examId,
            @RequestParam String startNumber) {
        Long userId = getAccessUserId(accessEntity);
        return breakRecordService.start(userId, examId, startNumber);
    }

    @RequestMapping("/end")
    public Object end(@RequestAttribute PmSession accessEntity, @RequestParam Long id, @RequestParam Long examId,
            @RequestParam String endNumber) {
        Long userId = getAccessUserId(accessEntity);
        return breakRecordService.end(id, userId, examId, endNumber);
    }

    @RequestMapping("/findOne")
    public Object findOne(@RequestParam Long id, @RequestParam String examNumber) {
        return breakRecordService.findOne(id, examNumber);
    }
}
