package cn.com.qmth.print.manage.controller;

import cn.com.qmth.print.manage.entity.ExamEntity;
import cn.com.qmth.print.manage.service.ExamService;
import cn.com.qmth.print.manage.service.PmSession;
import cn.com.qmth.print.manage.service.query.ExamQuery;
import com.qmth.boot.api.annotation.Aac;
import com.qmth.boot.api.annotation.BOOL;
import com.qmth.boot.api.constant.ApiConstant;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * @Date: 2021/11/16.
 */
@RestController
@RequestMapping(ApiConstant.DEFAULT_URI_PREFIX + "/exam")
@Aac(strict = BOOL.FALSE, auth = BOOL.TRUE)
public class ExamController extends BaseController {

    @Autowired
    private ExamService examService;

    /**
     * 批次分页查询
     *
     * @param query
     * @return
     */
    @RequestMapping(value = "/page", method = RequestMethod.POST)
    public Object page(@Validated ExamQuery query) {
        return examService.pageQuery(query);
    }

    /**
     * 批次查询
     *
     * @return
     */
    @RequestMapping(value = "/list", method = RequestMethod.POST)
    public Object list() {
        return examService.listByOrgId();
    }

    /**
     * 新增/修改批次
     *
     * @param exam
     * @return
     */
    @RequestMapping(value = "/save", method = RequestMethod.POST)
    public Object save(@RequestAttribute PmSession accessEntity, ExamEntity exam) {
        Long userId = getAccessUserId(accessEntity);
        exam.setCreatorId(userId);
        exam.setUpdaterId(userId);
        return examService.saveExam(exam);
    }

    /**
     * 批次查询
     *
     * @return
     */
    @RequestMapping(value = "/listByChecker", method = RequestMethod.POST)
    public Object listByChecker(@RequestAttribute PmSession accessEntity) {
        Long userId = getAccessUserId(accessEntity);
        return examService.listByUserId(userId);
    }
}
