package cn.com.qmth.print.manage.controller;

import cn.com.qmth.print.manage.service.OrgService;
import cn.com.qmth.print.manage.service.query.OrgQuery;

import com.qmth.boot.api.annotation.Aac;
import com.qmth.boot.api.annotation.BOOL;
import com.qmth.boot.api.constant.ApiConstant;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping(ApiConstant.DEFAULT_URI_PREFIX + "/org")
@Aac(strict = BOOL.FALSE, auth = BOOL.TRUE)
public class OrgController {

    @Autowired
    private OrgService orgService;

    /**
     * 学校分页查询
     *
     * @param query
     * @return
     */
    @RequestMapping(value = "/page", method = RequestMethod.POST)
    public Object page(@Validated OrgQuery query) {
        return orgService.pageQuery(query);
    }

    /**
     * 学校查询
     *
     * @return
     */
    @RequestMapping(value = "/list", method = RequestMethod.POST)
    public Object list() {
        return orgService.listByEnable();
    }

    /**
     * 同步学校
     *
     * @return
     */
    @RequestMapping(value = "/pull", method = RequestMethod.POST)
    public Object pull() {
        orgService.pull();
        return true;
    }

}
