package cn.com.qmth.print.manage.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestAttribute;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import cn.com.qmth.print.manage.service.AuthService;
import cn.com.qmth.print.manage.service.PmSession;

import com.qmth.boot.api.annotation.Aac;
import com.qmth.boot.api.annotation.BOOL;
import com.qmth.boot.api.constant.ApiConstant;

/**
 * @Date: 2021/11/17.
 */
@RestController
@RequestMapping(ApiConstant.DEFAULT_URI_PREFIX)
public class SysController {

    @Autowired
    private AuthService authService;

    /**
     * 登录
     *
     * @param loginName
     * @param password
     * @return
     */
    @RequestMapping(value = "/login", method = RequestMethod.POST)
    public Object login(@RequestParam String loginName, @RequestParam String password) {
        return authService.login(loginName, password);
    }

    @Aac(strict = BOOL.FALSE, auth = BOOL.TRUE)
    @PostMapping("/logout")
    public void logout(@RequestAttribute PmSession accessEntity) {
        authService.logout(accessEntity);
    }
}
