package cn.com.qmth.print.manage.service.impl;

import cn.com.qmth.print.manage.dao.ExamUserRelationDao;
import cn.com.qmth.print.manage.entity.ExamUserRelationEntity;
import cn.com.qmth.print.manage.service.ExamUserRelationService;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Date: 2021/11/17.
 */
@Service
public class ExamUserRelationServiceImpl extends ServiceImpl<ExamUserRelationDao, ExamUserRelationEntity> implements ExamUserRelationService {
    @Override
    public void deleteByExamId(Long examId) {
        UpdateWrapper<ExamUserRelationEntity> updateWrapper = new UpdateWrapper<>();
        updateWrapper.lambda().eq(ExamUserRelationEntity::getExamId, examId);
        this.remove(updateWrapper);
    }

    @Override
    public List<ExamUserRelationEntity> listByExamId(Long examId) {
        QueryWrapper<ExamUserRelationEntity> queryWrapper = new QueryWrapper<>();
        queryWrapper.lambda().eq(ExamUserRelationEntity::getExamId, examId);
        return this.list(queryWrapper);
    }
}
