package cn.com.qmth.print.manage.vo;

import java.io.Serializable;

import cn.com.qmth.print.manage.config.PmConstants;
import cn.com.qmth.print.manage.entity.UserEntity;
import cn.com.qmth.print.manage.enums.RoleMeta;

/**
 * 用户
 *
 */
public class UserVo implements Serializable {

    private static final long serialVersionUID = 4759774295648544266L;

    /**
     * 全局唯一用户标识符
     */
    private String identity;

    /**
     * 用户ID
     */
    private Long id;

    /**
     * 显示名
     */
    private String loginName;

    /**
     * 角色集合
     */
    private RoleMeta role;

    /**
     * 鉴权token
     */
    private String token;

    private boolean enable;

    public UserVo(UserEntity entity) {
        this.loginName = entity.getLoginName();
        this.id = entity.getId();
        this.role = entity.getRole();
        this.enable = entity.isEnable();
    }

    /**
     * 构建key
     *
     * @return
     */
    public String buildKey() {
        this.identity = new StringBuilder().append(PmConstants.USER_SESSION_KEY_PREFIX).append(id).toString();
        return this.identity;
    }

    public String getIdentity() {
        return identity;
    }

    public void setIdentity(String identity) {
        this.identity = identity;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public boolean isEnable() {
        return enable;
    }

    public void setEnable(boolean enable) {
        this.enable = enable;
    }

    public RoleMeta getRole() {
        return role;
    }

    public void setRole(RoleMeta role) {
        this.role = role;
    }

}
